SpiSlaveThread

com.ftdi.j2xx.protocol

## Class SpiSlaveThread

- java.lang.Object
- - java.lang.Thread
  - - com.ftdi.j2xx.protocol.SpiSlaveThread

- All Implemented Interfaces:
    java.lang.Runnable
  Direct Known Subclasses:
    FT_Spi_Slave

      public abstract class SpiSlaveThread
      extends java.lang.Thread

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `THREAD_DESTORYED`
    `static int` | `THREAD_INIT`
    `static int` | `THREAD_RUNNING`

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpiSlaveThread()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`
    `boolean` | `sendMessage(SpiSlaveEvent event)`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### THREAD_INIT

          public static final int THREAD_INIT

      See Also:
        Constant Field Values

    - #### THREAD_RUNNING

          public static final int THREAD_RUNNING

      See Also:
        Constant Field Values

    - #### THREAD_DESTORYED

          public static final int THREAD_DESTORYED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SpiSlaveThread

          public SpiSlaveThread()

  - ### Method Detail

    - #### sendMessage

          public boolean sendMessage(SpiSlaveEvent event)

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `java.lang.Thread`

About FTDI | FTDI Licence Terms